# Ciarence's Unbelievable Modifications
### Collection of changes that were too small to release individually

## Changelog
`1.0.0`  
Initial release

`1.1.0`  
New features:
- Fixes a typo in the Bomb Bot that used to soft-lock the game.
- Adds an option to customize the colour of the turrets' camera.
- Adds a disco mode that randomly cycles the turrets' camera colour.

`1.2.0`  
New features: 
- Adds an option to customize the colour of the Shock Drones and Security Cameras' cameras. Also affected by disco mode.

`1.3.0`  
New features: 
- Adds custom colour support for the flashlight, as well as a disco mode.

`1.4.0`  
New features: 
- Adds custom colour support for the fog in the normal game & in the compound. Yes, the Compound has fog, go to the helipad and you'll see it.

`1.5.0`  
New features:
- Ameliorated the custom fog colour thing to add an option to customize each rank's fog colour. Also made it work better.

`1.6.0`  
New features:
- [Torture Chamber](https://thunderstore.io/c/receiver-2/p/GldCheast/Bozos_Torture_Chamber/) integration! (can be overridden) KillDrones' colours will be: 
	- Red when idle
	- White when alerted
	- Orange-red when attacking
	
- Adds custom colour support for tripmines, also adds a different colour for when it is tripped.

Fixes: 
- Fixed Drones' and Security Cameras' colour changing one frame too late.
- Fixed Green Demon's colour being affected by custom colours.

`1.7.0`
New features:
- Added new graphical options:
	- Added option to enable SSR in settings menu
	- Added SSR quality dropdown setting
	- Added option to enable Motion Blur in settings menu
	- Added Motion Blur intensity setting

- Fixed a few bugs:
	- Fixed the HiPoint's magazine catch getting stuck when inserting a magazine
	- Fixed an issue where the Two Towers' tile base would not collide with bullets (the opposite I guess)
	
Internal:
- Refactored whole BepInEx config stuff

## Features

### TurretAmmoBoxBoom
Want to add a degree of ~~annoyance~~ fun to your regular Receiver 2 gameplay?  
Turrets' ammo boxes now **explode** if you shoot them! (and if they have any ammo left)

### FlashlightTweaks  
Allows you to drop and turn off/on your flashlight on a whim!  
Hold **"E"** with the flashlight in your hands when you're not holding a gun to drop it!   
Press **"X"** by default to toggle the flashlight.  
You can choose a custom colour for the flashlight!  
Also fixes a bug where the smoke cone's opacity wouldn't lower, even when the flashlight was out of battery.

### PostProcessTweaks
You can now change the colour of the fog :D
Also adds SSR and Motion Blur in the settings menu.

### DropGunEverywhere
Allow you to drop your gun in any scene, anytime.

### RobotTweaks
Fixes the Bomb Bot so that it doesn't soft-lock the game when it spots the player.  
You can now choose the colours of the lights on the killdrones! Also includes a disco option, inspired by [this](https://www.youtube.com/watch?v=welzVVJD4ok) video, by IwanPlays

### GunTweaks
Fixes the main spring on the Desert Eagle, which clips through the grip.
Fixes the magazine catch on the HiPoint C9 to not get stuck in pressed position when insterting magazine.

### RtlgTweaks
Fixes the floor collider on the top floor of the Victorian tile, which would block you from collecting a tape from under the turret that could spawn there.
Fixes base of Two Towers tile to allow bullets to collide with it.

### Config!!!!!!!!!!
You can turn on/off any of these patches anytime you want by going to BepInEx/config/CiarenceUnbelievableModifications.cfg, or by installing one of the many BepInEx [Config](https://github.com/sinai-dev/BepInExConfigManager) [Managers](https://github.com/BepInEx/BepInEx.ConfigurationManager), which allows you to do it on the fly!
Adds graphical options for Motion Blur and SSR to settings menu.

## Credits timeeeeeeeeeee
- Szikaka for all the cool advice and stuff and all the code he did that's also pretty cool  
- IwanPlays for the idea of the customizable killdrone lights, and also the cool videos on Receiver :)